Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network100.67.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
100.67.0.0
Broadcast address
100.67.255.255
First usable
100.67.0.1
Last usable
100.67.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Shared address space (CGNAT) 100.64.0.0/10
Used by providers behind carrier-grade NAT (RFC 6598)
Old class
A (default /8)
As numbers
Hex 64430000 · Integer 1682112512 to 1682178047
Reverse DNS zone
67.100.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100100.01000011..00000000.00000000100.67.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network01100100.01000011..00000000.00000000100.67.0.0
Broadcast01100100.01000011..11111111.11111111100.67.255.255
Split into smaller subnets/26

100.67.0.0/16 makes 1,024 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1100.67.0.0/26100.67.0.1 to 100.67.0.62100.67.0.6362
2100.67.0.64/26100.67.0.65 to 100.67.0.126100.67.0.12762
3100.67.0.128/26100.67.0.129 to 100.67.0.190100.67.0.19162
4100.67.0.192/26100.67.0.193 to 100.67.0.254100.67.0.25562
5100.67.1.0/26100.67.1.1 to 100.67.1.62100.67.1.6362
6100.67.1.64/26100.67.1.65 to 100.67.1.126100.67.1.12762
7100.67.1.128/26100.67.1.129 to 100.67.1.190100.67.1.19162
8100.67.1.192/26100.67.1.193 to 100.67.1.254100.67.1.25562
9100.67.2.0/26100.67.2.1 to 100.67.2.62100.67.2.6362
10100.67.2.64/26100.67.2.65 to 100.67.2.126100.67.2.12762
11100.67.2.128/26100.67.2.129 to 100.67.2.190100.67.2.19162
12100.67.2.192/26100.67.2.193 to 100.67.2.254100.67.2.25562
13100.67.3.0/26100.67.3.1 to 100.67.3.62100.67.3.6362
14100.67.3.64/26100.67.3.65 to 100.67.3.126100.67.3.12762
15100.67.3.128/26100.67.3.129 to 100.67.3.190100.67.3.19162
16100.67.3.192/26100.67.3.193 to 100.67.3.254100.67.3.25562
17100.67.4.0/26100.67.4.1 to 100.67.4.62100.67.4.6362
18100.67.4.64/26100.67.4.65 to 100.67.4.126100.67.4.12762
19100.67.4.128/26100.67.4.129 to 100.67.4.190100.67.4.19162
20100.67.4.192/26100.67.4.193 to 100.67.4.254100.67.4.25562
21100.67.5.0/26100.67.5.1 to 100.67.5.62100.67.5.6362
22100.67.5.64/26100.67.5.65 to 100.67.5.126100.67.5.12762
23100.67.5.128/26100.67.5.129 to 100.67.5.190100.67.5.19162
24100.67.5.192/26100.67.5.193 to 100.67.5.254100.67.5.25562
25100.67.6.0/26100.67.6.1 to 100.67.6.62100.67.6.6362
26100.67.6.64/26100.67.6.65 to 100.67.6.126100.67.6.12762
27100.67.6.128/26100.67.6.129 to 100.67.6.190100.67.6.19162
28100.67.6.192/26100.67.6.193 to 100.67.6.254100.67.6.25562
29100.67.7.0/26100.67.7.1 to 100.67.7.62100.67.7.6362
30100.67.7.64/26100.67.7.65 to 100.67.7.126100.67.7.12762
31100.67.7.128/26100.67.7.129 to 100.67.7.190100.67.7.19162
32100.67.7.192/26100.67.7.193 to 100.67.7.254100.67.7.25562
33100.67.8.0/26100.67.8.1 to 100.67.8.62100.67.8.6362
34100.67.8.64/26100.67.8.65 to 100.67.8.126100.67.8.12762
35100.67.8.128/26100.67.8.129 to 100.67.8.190100.67.8.19162
36100.67.8.192/26100.67.8.193 to 100.67.8.254100.67.8.25562
37100.67.9.0/26100.67.9.1 to 100.67.9.62100.67.9.6362
38100.67.9.64/26100.67.9.65 to 100.67.9.126100.67.9.12762
39100.67.9.128/26100.67.9.129 to 100.67.9.190100.67.9.19162
40100.67.9.192/26100.67.9.193 to 100.67.9.254100.67.9.25562
41100.67.10.0/26100.67.10.1 to 100.67.10.62100.67.10.6362
42100.67.10.64/26100.67.10.65 to 100.67.10.126100.67.10.12762
43100.67.10.128/26100.67.10.129 to 100.67.10.190100.67.10.19162
44100.67.10.192/26100.67.10.193 to 100.67.10.254100.67.10.25562
45100.67.11.0/26100.67.11.1 to 100.67.11.62100.67.11.6362
46100.67.11.64/26100.67.11.65 to 100.67.11.126100.67.11.12762
47100.67.11.128/26100.67.11.129 to 100.67.11.190100.67.11.19162
48100.67.11.192/26100.67.11.193 to 100.67.11.254100.67.11.25562
49100.67.12.0/26100.67.12.1 to 100.67.12.62100.67.12.6362
50100.67.12.64/26100.67.12.65 to 100.67.12.126100.67.12.12762
51100.67.12.128/26100.67.12.129 to 100.67.12.190100.67.12.19162
52100.67.12.192/26100.67.12.193 to 100.67.12.254100.67.12.25562
53100.67.13.0/26100.67.13.1 to 100.67.13.62100.67.13.6362
54100.67.13.64/26100.67.13.65 to 100.67.13.126100.67.13.12762
55100.67.13.128/26100.67.13.129 to 100.67.13.190100.67.13.19162
56100.67.13.192/26100.67.13.193 to 100.67.13.254100.67.13.25562
57100.67.14.0/26100.67.14.1 to 100.67.14.62100.67.14.6362
58100.67.14.64/26100.67.14.65 to 100.67.14.126100.67.14.12762
59100.67.14.128/26100.67.14.129 to 100.67.14.190100.67.14.19162
60100.67.14.192/26100.67.14.193 to 100.67.14.254100.67.14.25562
61100.67.15.0/26100.67.15.1 to 100.67.15.62100.67.15.6362
62100.67.15.64/26100.67.15.65 to 100.67.15.126100.67.15.12762
63100.67.15.128/26100.67.15.129 to 100.67.15.190100.67.15.19162
64100.67.15.192/26100.67.15.193 to 100.67.15.254100.67.15.25562
65100.67.16.0/26100.67.16.1 to 100.67.16.62100.67.16.6362
66100.67.16.64/26100.67.16.65 to 100.67.16.126100.67.16.12762
67100.67.16.128/26100.67.16.129 to 100.67.16.190100.67.16.19162
68100.67.16.192/26100.67.16.193 to 100.67.16.254100.67.16.25562
69100.67.17.0/26100.67.17.1 to 100.67.17.62100.67.17.6362
70100.67.17.64/26100.67.17.65 to 100.67.17.126100.67.17.12762
71100.67.17.128/26100.67.17.129 to 100.67.17.190100.67.17.19162
72100.67.17.192/26100.67.17.193 to 100.67.17.254100.67.17.25562
73100.67.18.0/26100.67.18.1 to 100.67.18.62100.67.18.6362
74100.67.18.64/26100.67.18.65 to 100.67.18.126100.67.18.12762
75100.67.18.128/26100.67.18.129 to 100.67.18.190100.67.18.19162
76100.67.18.192/26100.67.18.193 to 100.67.18.254100.67.18.25562
77100.67.19.0/26100.67.19.1 to 100.67.19.62100.67.19.6362
78100.67.19.64/26100.67.19.65 to 100.67.19.126100.67.19.12762
79100.67.19.128/26100.67.19.129 to 100.67.19.190100.67.19.19162
80100.67.19.192/26100.67.19.193 to 100.67.19.254100.67.19.25562
81100.67.20.0/26100.67.20.1 to 100.67.20.62100.67.20.6362
82100.67.20.64/26100.67.20.65 to 100.67.20.126100.67.20.12762
83100.67.20.128/26100.67.20.129 to 100.67.20.190100.67.20.19162
84100.67.20.192/26100.67.20.193 to 100.67.20.254100.67.20.25562
85100.67.21.0/26100.67.21.1 to 100.67.21.62100.67.21.6362
86100.67.21.64/26100.67.21.65 to 100.67.21.126100.67.21.12762
87100.67.21.128/26100.67.21.129 to 100.67.21.190100.67.21.19162
88100.67.21.192/26100.67.21.193 to 100.67.21.254100.67.21.25562
89100.67.22.0/26100.67.22.1 to 100.67.22.62100.67.22.6362
90100.67.22.64/26100.67.22.65 to 100.67.22.126100.67.22.12762
91100.67.22.128/26100.67.22.129 to 100.67.22.190100.67.22.19162
92100.67.22.192/26100.67.22.193 to 100.67.22.254100.67.22.25562
93100.67.23.0/26100.67.23.1 to 100.67.23.62100.67.23.6362
94100.67.23.64/26100.67.23.65 to 100.67.23.126100.67.23.12762
95100.67.23.128/26100.67.23.129 to 100.67.23.190100.67.23.19162
96100.67.23.192/26100.67.23.193 to 100.67.23.254100.67.23.25562
97100.67.24.0/26100.67.24.1 to 100.67.24.62100.67.24.6362
98100.67.24.64/26100.67.24.65 to 100.67.24.126100.67.24.12762
99100.67.24.128/26100.67.24.129 to 100.67.24.190100.67.24.19162
100100.67.24.192/26100.67.24.193 to 100.67.24.254100.67.24.25562
101100.67.25.0/26100.67.25.1 to 100.67.25.62100.67.25.6362
102100.67.25.64/26100.67.25.65 to 100.67.25.126100.67.25.12762
103100.67.25.128/26100.67.25.129 to 100.67.25.190100.67.25.19162
104100.67.25.192/26100.67.25.193 to 100.67.25.254100.67.25.25562
105100.67.26.0/26100.67.26.1 to 100.67.26.62100.67.26.6362
106100.67.26.64/26100.67.26.65 to 100.67.26.126100.67.26.12762
107100.67.26.128/26100.67.26.129 to 100.67.26.190100.67.26.19162
108100.67.26.192/26100.67.26.193 to 100.67.26.254100.67.26.25562
109100.67.27.0/26100.67.27.1 to 100.67.27.62100.67.27.6362
110100.67.27.64/26100.67.27.65 to 100.67.27.126100.67.27.12762
111100.67.27.128/26100.67.27.129 to 100.67.27.190100.67.27.19162
112100.67.27.192/26100.67.27.193 to 100.67.27.254100.67.27.25562
113100.67.28.0/26100.67.28.1 to 100.67.28.62100.67.28.6362
114100.67.28.64/26100.67.28.65 to 100.67.28.126100.67.28.12762
115100.67.28.128/26100.67.28.129 to 100.67.28.190100.67.28.19162
116100.67.28.192/26100.67.28.193 to 100.67.28.254100.67.28.25562
117100.67.29.0/26100.67.29.1 to 100.67.29.62100.67.29.6362
118100.67.29.64/26100.67.29.65 to 100.67.29.126100.67.29.12762
119100.67.29.128/26100.67.29.129 to 100.67.29.190100.67.29.19162
120100.67.29.192/26100.67.29.193 to 100.67.29.254100.67.29.25562
121100.67.30.0/26100.67.30.1 to 100.67.30.62100.67.30.6362
122100.67.30.64/26100.67.30.65 to 100.67.30.126100.67.30.12762
123100.67.30.128/26100.67.30.129 to 100.67.30.190100.67.30.19162
124100.67.30.192/26100.67.30.193 to 100.67.30.254100.67.30.25562
125100.67.31.0/26100.67.31.1 to 100.67.31.62100.67.31.6362
126100.67.31.64/26100.67.31.65 to 100.67.31.126100.67.31.12762
127100.67.31.128/26100.67.31.129 to 100.67.31.190100.67.31.19162
128100.67.31.192/26100.67.31.193 to 100.67.31.254100.67.31.25562
129100.67.32.0/26100.67.32.1 to 100.67.32.62100.67.32.6362
130100.67.32.64/26100.67.32.65 to 100.67.32.126100.67.32.12762
131100.67.32.128/26100.67.32.129 to 100.67.32.190100.67.32.19162
132100.67.32.192/26100.67.32.193 to 100.67.32.254100.67.32.25562
133100.67.33.0/26100.67.33.1 to 100.67.33.62100.67.33.6362
134100.67.33.64/26100.67.33.65 to 100.67.33.126100.67.33.12762
135100.67.33.128/26100.67.33.129 to 100.67.33.190100.67.33.19162
136100.67.33.192/26100.67.33.193 to 100.67.33.254100.67.33.25562
137100.67.34.0/26100.67.34.1 to 100.67.34.62100.67.34.6362
138100.67.34.64/26100.67.34.65 to 100.67.34.126100.67.34.12762
139100.67.34.128/26100.67.34.129 to 100.67.34.190100.67.34.19162
140100.67.34.192/26100.67.34.193 to 100.67.34.254100.67.34.25562
141100.67.35.0/26100.67.35.1 to 100.67.35.62100.67.35.6362
142100.67.35.64/26100.67.35.65 to 100.67.35.126100.67.35.12762
143100.67.35.128/26100.67.35.129 to 100.67.35.190100.67.35.19162
144100.67.35.192/26100.67.35.193 to 100.67.35.254100.67.35.25562
145100.67.36.0/26100.67.36.1 to 100.67.36.62100.67.36.6362
146100.67.36.64/26100.67.36.65 to 100.67.36.126100.67.36.12762
147100.67.36.128/26100.67.36.129 to 100.67.36.190100.67.36.19162
148100.67.36.192/26100.67.36.193 to 100.67.36.254100.67.36.25562
149100.67.37.0/26100.67.37.1 to 100.67.37.62100.67.37.6362
150100.67.37.64/26100.67.37.65 to 100.67.37.126100.67.37.12762
151100.67.37.128/26100.67.37.129 to 100.67.37.190100.67.37.19162
152100.67.37.192/26100.67.37.193 to 100.67.37.254100.67.37.25562
153100.67.38.0/26100.67.38.1 to 100.67.38.62100.67.38.6362
154100.67.38.64/26100.67.38.65 to 100.67.38.126100.67.38.12762
155100.67.38.128/26100.67.38.129 to 100.67.38.190100.67.38.19162
156100.67.38.192/26100.67.38.193 to 100.67.38.254100.67.38.25562
157100.67.39.0/26100.67.39.1 to 100.67.39.62100.67.39.6362
158100.67.39.64/26100.67.39.65 to 100.67.39.126100.67.39.12762
159100.67.39.128/26100.67.39.129 to 100.67.39.190100.67.39.19162
160100.67.39.192/26100.67.39.193 to 100.67.39.254100.67.39.25562
161100.67.40.0/26100.67.40.1 to 100.67.40.62100.67.40.6362
162100.67.40.64/26100.67.40.65 to 100.67.40.126100.67.40.12762
163100.67.40.128/26100.67.40.129 to 100.67.40.190100.67.40.19162
164100.67.40.192/26100.67.40.193 to 100.67.40.254100.67.40.25562
165100.67.41.0/26100.67.41.1 to 100.67.41.62100.67.41.6362
166100.67.41.64/26100.67.41.65 to 100.67.41.126100.67.41.12762
167100.67.41.128/26100.67.41.129 to 100.67.41.190100.67.41.19162
168100.67.41.192/26100.67.41.193 to 100.67.41.254100.67.41.25562
169100.67.42.0/26100.67.42.1 to 100.67.42.62100.67.42.6362
170100.67.42.64/26100.67.42.65 to 100.67.42.126100.67.42.12762
171100.67.42.128/26100.67.42.129 to 100.67.42.190100.67.42.19162
172100.67.42.192/26100.67.42.193 to 100.67.42.254100.67.42.25562
173100.67.43.0/26100.67.43.1 to 100.67.43.62100.67.43.6362
174100.67.43.64/26100.67.43.65 to 100.67.43.126100.67.43.12762
175100.67.43.128/26100.67.43.129 to 100.67.43.190100.67.43.19162
176100.67.43.192/26100.67.43.193 to 100.67.43.254100.67.43.25562
177100.67.44.0/26100.67.44.1 to 100.67.44.62100.67.44.6362
178100.67.44.64/26100.67.44.65 to 100.67.44.126100.67.44.12762
179100.67.44.128/26100.67.44.129 to 100.67.44.190100.67.44.19162
180100.67.44.192/26100.67.44.193 to 100.67.44.254100.67.44.25562
181100.67.45.0/26100.67.45.1 to 100.67.45.62100.67.45.6362
182100.67.45.64/26100.67.45.65 to 100.67.45.126100.67.45.12762
183100.67.45.128/26100.67.45.129 to 100.67.45.190100.67.45.19162
184100.67.45.192/26100.67.45.193 to 100.67.45.254100.67.45.25562
185100.67.46.0/26100.67.46.1 to 100.67.46.62100.67.46.6362
186100.67.46.64/26100.67.46.65 to 100.67.46.126100.67.46.12762
187100.67.46.128/26100.67.46.129 to 100.67.46.190100.67.46.19162
188100.67.46.192/26100.67.46.193 to 100.67.46.254100.67.46.25562
189100.67.47.0/26100.67.47.1 to 100.67.47.62100.67.47.6362
190100.67.47.64/26100.67.47.65 to 100.67.47.126100.67.47.12762
191100.67.47.128/26100.67.47.129 to 100.67.47.190100.67.47.19162
192100.67.47.192/26100.67.47.193 to 100.67.47.254100.67.47.25562
193100.67.48.0/26100.67.48.1 to 100.67.48.62100.67.48.6362
194100.67.48.64/26100.67.48.65 to 100.67.48.126100.67.48.12762
195100.67.48.128/26100.67.48.129 to 100.67.48.190100.67.48.19162
196100.67.48.192/26100.67.48.193 to 100.67.48.254100.67.48.25562
197100.67.49.0/26100.67.49.1 to 100.67.49.62100.67.49.6362
198100.67.49.64/26100.67.49.65 to 100.67.49.126100.67.49.12762
199100.67.49.128/26100.67.49.129 to 100.67.49.190100.67.49.19162
200100.67.49.192/26100.67.49.193 to 100.67.49.254100.67.49.25562
201100.67.50.0/26100.67.50.1 to 100.67.50.62100.67.50.6362
202100.67.50.64/26100.67.50.65 to 100.67.50.126100.67.50.12762
203100.67.50.128/26100.67.50.129 to 100.67.50.190100.67.50.19162
204100.67.50.192/26100.67.50.193 to 100.67.50.254100.67.50.25562
205100.67.51.0/26100.67.51.1 to 100.67.51.62100.67.51.6362
206100.67.51.64/26100.67.51.65 to 100.67.51.126100.67.51.12762
207100.67.51.128/26100.67.51.129 to 100.67.51.190100.67.51.19162
208100.67.51.192/26100.67.51.193 to 100.67.51.254100.67.51.25562
209100.67.52.0/26100.67.52.1 to 100.67.52.62100.67.52.6362
210100.67.52.64/26100.67.52.65 to 100.67.52.126100.67.52.12762
211100.67.52.128/26100.67.52.129 to 100.67.52.190100.67.52.19162
212100.67.52.192/26100.67.52.193 to 100.67.52.254100.67.52.25562
213100.67.53.0/26100.67.53.1 to 100.67.53.62100.67.53.6362
214100.67.53.64/26100.67.53.65 to 100.67.53.126100.67.53.12762
215100.67.53.128/26100.67.53.129 to 100.67.53.190100.67.53.19162
216100.67.53.192/26100.67.53.193 to 100.67.53.254100.67.53.25562
217100.67.54.0/26100.67.54.1 to 100.67.54.62100.67.54.6362
218100.67.54.64/26100.67.54.65 to 100.67.54.126100.67.54.12762
219100.67.54.128/26100.67.54.129 to 100.67.54.190100.67.54.19162
220100.67.54.192/26100.67.54.193 to 100.67.54.254100.67.54.25562
221100.67.55.0/26100.67.55.1 to 100.67.55.62100.67.55.6362
222100.67.55.64/26100.67.55.65 to 100.67.55.126100.67.55.12762
223100.67.55.128/26100.67.55.129 to 100.67.55.190100.67.55.19162
224100.67.55.192/26100.67.55.193 to 100.67.55.254100.67.55.25562
225100.67.56.0/26100.67.56.1 to 100.67.56.62100.67.56.6362
226100.67.56.64/26100.67.56.65 to 100.67.56.126100.67.56.12762
227100.67.56.128/26100.67.56.129 to 100.67.56.190100.67.56.19162
228100.67.56.192/26100.67.56.193 to 100.67.56.254100.67.56.25562
229100.67.57.0/26100.67.57.1 to 100.67.57.62100.67.57.6362
230100.67.57.64/26100.67.57.65 to 100.67.57.126100.67.57.12762
231100.67.57.128/26100.67.57.129 to 100.67.57.190100.67.57.19162
232100.67.57.192/26100.67.57.193 to 100.67.57.254100.67.57.25562
233100.67.58.0/26100.67.58.1 to 100.67.58.62100.67.58.6362
234100.67.58.64/26100.67.58.65 to 100.67.58.126100.67.58.12762
235100.67.58.128/26100.67.58.129 to 100.67.58.190100.67.58.19162
236100.67.58.192/26100.67.58.193 to 100.67.58.254100.67.58.25562
237100.67.59.0/26100.67.59.1 to 100.67.59.62100.67.59.6362
238100.67.59.64/26100.67.59.65 to 100.67.59.126100.67.59.12762
239100.67.59.128/26100.67.59.129 to 100.67.59.190100.67.59.19162
240100.67.59.192/26100.67.59.193 to 100.67.59.254100.67.59.25562
241100.67.60.0/26100.67.60.1 to 100.67.60.62100.67.60.6362
242100.67.60.64/26100.67.60.65 to 100.67.60.126100.67.60.12762
243100.67.60.128/26100.67.60.129 to 100.67.60.190100.67.60.19162
244100.67.60.192/26100.67.60.193 to 100.67.60.254100.67.60.25562
245100.67.61.0/26100.67.61.1 to 100.67.61.62100.67.61.6362
246100.67.61.64/26100.67.61.65 to 100.67.61.126100.67.61.12762
247100.67.61.128/26100.67.61.129 to 100.67.61.190100.67.61.19162
248100.67.61.192/26100.67.61.193 to 100.67.61.254100.67.61.25562
249100.67.62.0/26100.67.62.1 to 100.67.62.62100.67.62.6362
250100.67.62.64/26100.67.62.65 to 100.67.62.126100.67.62.12762
251100.67.62.128/26100.67.62.129 to 100.67.62.190100.67.62.19162
252100.67.62.192/26100.67.62.193 to 100.67.62.254100.67.62.25562
253100.67.63.0/26100.67.63.1 to 100.67.63.62100.67.63.6362
254100.67.63.64/26100.67.63.65 to 100.67.63.126100.67.63.12762
255100.67.63.128/26100.67.63.129 to 100.67.63.190100.67.63.19162
256100.67.63.192/26100.67.63.193 to 100.67.63.254100.67.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses